Đến nội dung


Hình ảnh

Đặt lại layer hiện hành


  • Please log in to reply
11 replies to this topic

#1 h2c

h2c

    biết vẽ ellipse

  • Members
  • PipPip
  • 51 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 22 July 2007 - 01:25 PM

Dạo này hay dùng nhiều máy tính khác nhau nhưng monitor nhỏ quá nên hay phải bấm Crtl+0 để frulscreen nhưng mà không biết làm sao để đổi layer trong quá trình vẽ vì cái thanh layer cũng bị hide luôn .
Có cách nào chọn cho nhanh không ? Cám ơn mọi người .
  • 0

#2 interwar1283

interwar1283

    biết dimcontinue

  • Vip
  • PipPipPipPipPip
  • 374 Bài viết
Điểm đánh giá: 211 (khá)

Đã gửi 22 July 2007 - 01:57 PM

Dạo này hay dùng nhiều máy tính khác nhau nhưng monitor nhỏ quá nên hay phải bấm Crtl+0 để frulscreen nhưng mà không biết làm sao để đổi layer trong quá trình vẽ vì cái thanh layer cũng bị hide luôn .
Có cách nào chọn cho nhanh không ? Cám ơn mọi người .

Cách của mình ấn tổ hợp phím Ctrl+1, để thanh Properties ở chế độ auto-hide, khi bạn muốn thay đổi layer thì đưa chuột về phía thanh Properties (đang ẩn) -> thanh Properties hiện ra vào General sẽ thấy ô Layer rồi thực hiện việc chuyển đổi ở đó.
Hoạc dùng lệnh Change -> Select objects -> P -> LA -> tên layer muốn chuyển sang (cách này thì không trực quan lắm và mất thời gian)
Ngoài ra việc chuyển đổi layer cũng có thể làm được bằng Lisp.
  • 0

#3 h2c

h2c

    biết vẽ ellipse

  • Members
  • PipPip
  • 51 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 22 July 2007 - 06:57 PM

Cách của mình ấn tổ hợp phím Ctrl+1, để thanh Properties ở chế độ auto-hide, khi bạn muốn thay đổi layer thì đưa chuột về phía thanh Properties (đang ẩn) -> thanh Properties hiện ra vào General sẽ thấy ô Layer rồi thực hiện việc chuyển đổi ở đó.
Hoạc dùng lệnh Change -> Select objects -> P -> LA -> tên layer muốn chuyển sang (cách này thì không trực quan lắm và mất thời gian)
Ngoài ra việc chuyển đổi layer cũng có thể làm được bằng Lisp.

Thanks bạn , nhưng ý mình là muốn đổi layer xong rồi vẽ . Cách của bạn là sau khi vẽ rồi mới đổi layer .
  • 0

#4 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 23 July 2007 - 08:11 AM

Thanks bạn , nhưng ý mình là muốn đổi layer xong rồi vẽ . Cách của bạn là sau khi vẽ rồi mới đổi layer .

Muốn đổi layer hiện hành, gõ CLAYER tại dòng lệnh, rồi nhập tên layer vào.
  • 0

#5 h2c

h2c

    biết vẽ ellipse

  • Members
  • PipPip
  • 51 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 23 July 2007 - 03:59 PM

Cám ơn bạn rất nhiều . Mình muốn chuyển dòng lệnh clayer thành cụm cl ngắn hơn thì làm sao ? Cad2008 này nhiều thứ mới quá .
  • 0

#6 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 23 July 2007 - 05:19 PM

Cám ơn bạn rất nhiều . Mình muốn chuyển dòng lệnh clayer thành cụm cl ngắn hơn thì làm sao ? Cad2008 này nhiều thứ mới quá .

đoạn lisp sau sẽ làm điều đó:
(defun c:CL()(command "clayer" pause))
lệnh CL sẽ làm được việc thay đổi tên layer hiện hành. bạn không muốn là CL thì cứ đổi sang tên khác.

bạn copy mã lisp trên rồi paste vào 1 file text và save về dạng đuôi lsp, sau đó appload nó lên và dùng. Hoặc bạn copy và paste đoạn lisp trên vào dòng command (mỗi bản vẽ paste 1 lần).
  • 0

#7 h2c

h2c

    biết vẽ ellipse

  • Members
  • PipPip
  • 51 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 26 July 2007 - 09:39 AM

Cám ơn bạn nhiều .
  • 0

#8 kts.ngocquan

kts.ngocquan

    biết vẽ ellipse

  • Members
  • PipPip
  • 59 Bài viết
Điểm đánh giá: 36 (tàm tạm)

Đã gửi 31 August 2007 - 12:08 AM

Tôi lại dùng cái này

(DEFUN C:LC (/ OBJ)
(SETQ OBJ (ENTSEL))
(IF (/= OBJ NIL)
(SETVAR "CLAYER" (CDR (ASSOC 8 (ENTGET (CAR OBJ)) )) )
)
(PRINC)
)

sau đó pick vào object >>>> enjoy :unsure:
  • 0

#9 Theghost

Theghost

    biết dimlinear

  • Members
  • PipPipPipPipPip
  • 309 Bài viết
Điểm đánh giá: 31 (tàm tạm)

Đã gửi 19 November 2007 - 02:41 AM

Trời đúng cái mình đang quan tâm
Tuyệt cú mèo,bác Hoành hình như cái gì cũng Super
  • 0
Có khi nào trên đường đời tấp nập.Ta vô tình đi lướt qua nhau.Bước lơ đãng k0 ngờ đang để mất.Một tâm hồn ta đợi đã từ lâu

#10 Theghost

Theghost

    biết dimlinear

  • Members
  • PipPipPipPipPip
  • 309 Bài viết
Điểm đánh giá: 31 (tàm tạm)

Đã gửi 19 November 2007 - 02:50 AM

Trời đúng cái mình đang quan tâm
Tuyệt cú mèo,bác Hoành hình như cái gì cũng Super
  • 0
Có khi nào trên đường đời tấp nập.Ta vô tình đi lướt qua nhau.Bước lơ đãng k0 ngờ đang để mất.Một tâm hồn ta đợi đã từ lâu

#11 Theghost

Theghost

    biết dimlinear

  • Members
  • PipPipPipPipPip
  • 309 Bài viết
Điểm đánh giá: 31 (tàm tạm)

Đã gửi 19 November 2007 - 02:53 AM

Nhưng sao em thử dùng rồi, công nhận là Ok
Nhưng có 1 vấn đề là sau khi kết thúc lệnh ko dùng được phím Space bar bác ạ ,phải dùng phím Enter ,thế này thì phiền phức quá, có cách nào dùng Space bar ko bác hoành(chỉ lệnh Clayer này thôi,các lệnh khác vẫn ok).
  • 0
Có khi nào trên đường đời tấp nập.Ta vô tình đi lướt qua nhau.Bước lơ đãng k0 ngờ đang để mất.Một tâm hồn ta đợi đã từ lâu

#12 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 19 November 2007 - 09:32 AM

Nhưng sao em thử dùng rồi, công nhận là Ok
Nhưng có 1 vấn đề là sau khi kết thúc lệnh ko dùng được phím Space bar bác ạ ,phải dùng phím Enter ,thế này thì phiền phức quá, có cách nào dùng Space bar ko bác hoành(chỉ lệnh Clayer này thôi,các lệnh khác vẫn ok).

Có cách dùng space bar để kết thúc lệnh, như sau:
(defun c:CL()(command "clayer" (getstring)))
Nhưng như thế này thì bạn sẽ không thể chuyển về các layer có tên chứa dấu cách.
  • 0